Bug 1254806 - Webkitgtk's Javascript JIT causes segfaults in midori on Samsung ARM Chromebook [NEEDINFO]
Webkitgtk's Javascript JIT causes segfaults in midori on Samsung ARM Chromebook
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
22
armv7hl Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 18:28 EDT by Nicholas Parkanyi
Modified: 2016-07-19 15:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tpopela: needinfo? (n.parkanyi)


Attachments (Terms of Use)

  None (edit)
Description Nicholas Parkanyi 2015-08-18 18:28:56 EDT
Description of problem:
Under Fedora 22 on my Samsung Chromebook Midori was constantly segfaulting on webpages using Javascript. Based on the discussion at https://github.com/archlinuxarm/PKGBUILDs/issues/754 I rebuilt the webkitgtk RPM modified so the --disable-jit flag is used when building armv7hl packages. This has fixed the issue for me. 

Version-Release number of selected component (if applicable):
webkitgtk-2.4.9-1 
midori 0.5.10

Steps to Reproduce:
Install midori on Samsung Chromebook (or possibly any other ARM system), browse to any site using javascript (http://midori-browser.org/download/source/ was one that crashed for me).
Comment 1 Tomas Popela 2015-08-24 08:10:02 EDT
Hi,
can you please provide the backtrace of that crash (or it crashed every time with different backtrace)? Maybe it will be worth fixing than just disabling the JIT at all (and decrease JS performance).
Comment 2 Fedora End Of Life 2016-07-19 15:55:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.